local config = CreateFrame("Frame");
SetTalentsConfig = config;
function config:SetDefaultConfig()
	SetTalents_Config = {};
	SetTalents.ShowWarning = 1;
	config.ShowWarning:SetChecked(1);

end

function config:SetCurrentConfig()
	config.ShowWarning:SetChecked(SetTalents_Config.ShowWarning);
end

function config:ChangeState()
	
	 SetTalents_Config[self.id] = self:GetChecked() or 0;

end

function config:Init()

	config.name = "Set Talents";

 
 local ShowWarning = CreateFrame( "CheckButton", "ShowWarningCheckBox", config, "InterfaceOptionsCheckButtonTemplate" );
	config.ShowWarning = ShowWarning;
	ShowWarning.id = "ShowWarning";
	ShowWarning:SetPoint( "TOPLEFT", 16, -16 );
	ShowWarning:SetScript("onClick",config.ChangeState);
	_G[ ShowWarning:GetName().."Text" ]:SetText( "Show warning before setting talents\r\nwhen talent preview is enabled" );
	
 local LabelName = config:CreateFontString( nil, "ARTWORK", "GameFontHighlightSmall" );
	config.LabelName = LabelName;
	LabelName:SetPoint( "TOPLEFT",  ShowWarning, "BOTTOMLEFT", 0, -16);
	LabelName:SetText( "Powered by and best used with the talent calculator of |c19ff0800WoWUse.com" );
 
 	local EditBoxID = CreateFrame( "EditBox", "EditBoxIDEditBox", config, "InputBoxTemplate" );
	config.EditBoxID = EditBoxID;
	EditBoxID.id = "EditBoxID";
	EditBoxID:SetPoint( "TOPLEFT",  LabelName, "BOTTOMLEFT", 0, -16);
	EditBoxID:SetWidth(200);
	EditBoxID:SetHeight(50);
	EditBoxID:SetAutoFocus( false );
	EditBoxID:SetScript( "OnEditFocusGained", function () this:HighlightText(0); end );
	EditBoxID:SetScript( "OnShow", function () this:SetText("http://www.wowuse.com"); end );
	EditBoxID:SetScript( "OnChar", function () this:SetText("http://www.wowuse.com");this:HighlightText(0); end );
	
  
 
 InterfaceOptions_AddCategory(config);
 
 if not (SetTalents_Config) then
   config:SetDefaultConfig();
 else
   config:SetCurrentConfig();
 end

 

end